% Multiple lineare Regression
% Eingabe Xin = [x1, x2, ..., xk] als Matrix; y als Spaltenvektor
% Ausgabe [X, beta, yhat, ybar, Syy, SSE, SSR, R2]

function [X, beta, yhat, ybar, Syy, SSE, SSR, R2] = fct(Xin,y)
if size(y,2)~=1
'Bitte y als Spaltenvektor eingeben!'
return
end

X = [ones(length(Xin),1), Xin];
beta = inv(X'*X)*X'*y;
yhat = X*beta;
SSE = sum((y -yhat).^2);
ybar = mean(y);
Syy = sum((y - ybar).^2);
SSR = Syy - SSE;
R2 = SSR/Syy;