% Dichte
%set(GCF, 'PaperUnits','centimeters', 'PaperPosition', [0 0 10 5]);
%set(GCF, 'Units', 'centimeters', 'Position', [1 8 10 5]);
set(GCF, 'PaperUnits','centimeters', 'PaperPosition', [1 1 12 6]);
set(GCF, 'Units', 'centimeters', 'Position', [1 9 12 6]);

t = -4:0.01:0;
muz=2.5;
sigmaz=1.14;
sigmazqr=1.3;
tz = normpdf(t,muz,sigmaz);
%area(t,tn)
area(t,tz,'facecolor',[.7,.7,.7])

hold on
t = -4:0.01:7;
tzz=normpdf(muz,muz,sigmaz)
t0=normpdf(0,muz,sigmaz)
tz = normpdf(t,muz,sigmaz);
hold on
plot(t,tz,'k','LineWidth',2)
hold on
plot([-5 7.5],[0 0],'k',7.5,0,'k>','MarkerFaceColor','k')
plot([0 0],[0 0.5],'k',0,0.5,'k^','MarkerFaceColor','k')
plot([0 0.5],[0.38 0.38],'k',0.14,0.38,'k<','MarkerFaceColor','k')
plot([1.65 2.5],[0.38 0.38],'k',2.35,0.38,'k>','MarkerFaceColor','k')
plot([-1 -0.65],[0.09 0.025],'k',-0.7,0.035,'k<','MarkerFaceColor','k')

axis([-4.5 7.5 0 0.67])
hold on
plot([2.5 2.5],[0, 0.3499],'k--')
plot([0 0],[0, 0.0316],'k')

text('Interpreter','latex',...
	'String','$$\mu_Z$$',...
	'Position',[2.5,-0.035],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$0$$',...
	'Position',[0,-0.035],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$z$$',...
	'Position',[8,0],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$f_Z(z)$$',...
	'Position',[4.5,0.25],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$\beta\sigma_Z$$',...
	'Position',[1.1,0.38],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$${\rm{Versagensbereich}}$$',...
	'Position',[-2.2,0.12],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$Z<0$$',...
	'Position',[-2.2,0.06],...
	'FontSize',12,'HorizontalAlignment','Center')

axis off
print('-depsc','p123_2')
print('-dpdf','p123_2')