% Univariate lineare Regression
% Eingabe x, y als Spaltenvektoren
% Ausgabe [X, beta, yhat, ybar, Syy, SSE, SSR, R2]

function [X, beta, yhat, ybar, Syy, SSE, SSR, R2] = fct(x,y)
if size(x,2)~=1
'Bitte x als Spaltenvektor eingeben!'
return
end
if size(y,2)~=1
'Bitte y als Spaltenvektor eingeben!'
return
end

X = [ones(size(x)), x];
beta = inv(X'*X)*X'*y;
yhat = X*beta;
SSE = sum((y -yhat).^2);
ybar = mean(y);
Syy = sum((y - ybar).^2);
SSR = Syy - SSE;
R2 = SSR/Syy;