% Koerpergroesse 44 Bauingenieurstudenten
% Anpassung einer Normalverteilung

GR = [186
   178
   199
   168
   187
   184
   176
   176
   176
   170
   176
   186
   169
   178
   174
   178
   169
   190
   170
   167
   183
   176
   167
   189
   173
   180
   186
   180
   176
   189
   178
   175
   184
   186
   185
   191
   185
   193
   178
   187
   182
   179
   173
   183];



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% Jnner 2001 %%%%%%%%%%



% Histogramm mit Normalverteilungskurve
%Z = 162:4:198; % Mittelpunkte der Bins, Binbreite = 4
Z = 167.5:5:202.5; % Mittelpunkte der Bins, Binbreite = 5
E = 165:5:200; % Bins in bereinsimmung mit Daten des Skriptums, edges
%N = hist(GR,Z);
N = histc(GR,E);
figure
set(gcf, 'PaperUnits','centimeters', 'PaperPosition', [0 0 10 6]);
set(gcf, 'Units', 'centimeters', 'Position', [1 8 10 6]);

hold on
%Y = N/176; % N1 dividiert durch Gesamtzahl n = 44 mal Binbreite 4
Y = N/220; % N1 dividiert durch Gesamtzahl n = 44 mal Binbreite 5

bar(Z,Y,1)
h = findobj(gca,'Type','patch');
set(h,'FaceColor','w','Edgecolor','k','LineWidth',1.5); % Histogramm schwarz-wei

muGR = mean(GR);
sigGR = std(GR);
t = 150:0.01:210;
tn = normpdf(t,muGR,sigGR);
plot(t,tn,'r','Linewidth',2)

 axis([150 210 0 0.061])
% set(gca, 'FontSize',14)
% set(gca,'YTick',[0 0.02 0.04 0.06 0.08 0.10 0.12])
xlabel('Krpergre [cm]')
ylabel('Flche = relative Hufigkeit  [ ]')
box off
hold off
%print('-depsc','Anpassunghist')

% Summenhufigkeit mit Normalverteilungsfunktion

figure
set(gcf, 'PaperUnits','centimeters', 'PaperPosition', [0 0 10 6]);
set(gcf, 'Units', 'centimeters', 'Position', [1 8 10 6]);

hold on
tn = normcdf(t,muGR,sigGR);
plot(t,tn,'r','Linewidth',2)

plot([150 167.5],[0 0],'k', 'Linewidth',2)
plot([202.5, 210],[1 1],'k', 'Linewidth',2)

SY = cumsum(Y)*5;
for i = 1:length(Z)-1
    plot([Z(i) Z(i+1)],[SY(i) SY(i)],'k','Linewidth',2)
end
for i = 2:length(Z)-1
    plot([Z(i) Z(i)],[SY(i-1) SY(i)],'k')
end
for i = 1:length(Z)-1
    plot(Z(i),SY(i),'ko','MarkerSize',5,'MarkerFaceColor','k')
end
for i = 1:length(Z)-2
        plot(Z(i+1),SY(i),'ko','MarkerSize',5,'MarkerFaceColor','w')
end
plot(Z(1),0,'ko','MarkerSize',5,'MarkerFaceColor','w')
plot([Z(1) Z(1)],[0 SY(1)],'k')


axis([150 210 0 1.01])
%set(gca, 'FontSize',14)
%set(gca,'XTick',[-10 -8 -6 -4 -2 0 2 4 6 8 10])
xlabel('Krpergre [cm]')
ylabel('Relative Summenhufigkeit  [ ]')
box off
hold off
%print('-depsc','Anpassungkum')



