% 95 % Chi^2-Verteilung

%set(GCF, 'PaperUnits','centimeters', 'PaperPosition', [0 0 10 5]);
%set(GCF, 'Units', 'centimeters', 'Position', [1 8 10 5]);
set(GCF, 'PaperUnits','centimeters', 'PaperPosition', [0 0 14 6]);
set(GCF, 'Units', 'centimeters', 'Position', [1 9 14 6]);

t = 0:0.01:14;
tn = chi2pdf(t,4);
plot(t,tn,'k','LineWidth',2)
hold on
t = 0:0.01:14;
tn = chi2pdf(t,3);
plot(t,tn,'b','LineWidth',2)
hold on
plot([-0.5 15],[0 0],'k','LineWidth',1)
plot(15,0,'k>','MarkerFaceColor','k')
plot([0 0],[-0.02 0.285],'k','LineWidth',1)
plot(0,0.285,'k^','MarkerFaceColor','k')


text('Interpreter','latex',...
	'String','$$n=3$$',...
	'Position',[1.5,0.26],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$n=4$$',...
	'Position',[4,0.18],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$f_{\chi^2_n}(x)$$',...
	'Position',[-1.1 0.26],...
	'FontSize',12,'HorizontalAlignment','Center')
text('Interpreter','latex',...
	'String','$$x$$',...
	'Position',[14.5 -0.02],...
	'FontSize',12,'HorizontalAlignment','Center')
axis off
print('-depsc','p97')
print('-dpdf','p97')
